org.minidns.idna

## Class MiniDnsIdna

- java.lang.Object
- - org.minidns.idna.MiniDnsIdna

-     public class MiniDnsIdna
      extends Object

  Utility class for Internationalized Domain Names in Applications (IDNA) processing.
  Provides methods to convert between Unicode and ASCII representations of domain names according to IDNA specifications.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MiniDnsIdna()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `setActiveTransformator(IdnaTransformator idnaTransformator)` Sets the active IDNA transformator implementation.
    `static String` | `toASCII(String string)` Converts a Unicode string to its ASCII representation using IDNA.
    `static String` | `toUnicode(String string)` Converts an ASCII string back to its Unicode representation using IDNA.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MiniDnsIdna

          public MiniDnsIdna()

  - ### Method Detail

    - #### setActiveTransformator

          public static void setActiveTransformator(IdnaTransformator idnaTransformator)

      Sets the active IDNA transformator implementation.
      Parameters:
        `idnaTransformator` - the transformator to use, must not be null
      Throws:
        `IllegalArgumentException` - if idnaTransformator is null

    - #### toASCII

          public static String toASCII(String string)

      Converts a Unicode string to its ASCII representation using IDNA.
      Parameters:
        `string` - the Unicode string to convert
      Returns:
        the ASCII representation

    - #### toUnicode

          public static String toUnicode(String string)

      Converts an ASCII string back to its Unicode representation using IDNA.
      Parameters:
        `string` - the ASCII string to convert
      Returns:
        the Unicode representation